# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_enc_seqstats_t Struct Reference

`#include <dirac_encoder.h>`

List of all members.

## Public Attributes

- unsigned int mv_bits
- unsigned int seq_bits
- unsigned int ycomp_bits
- unsigned int ucomp_bits
- unsigned int vcomp_bits
- unsigned int bit_rate

## Detailed Description

Structure that holds the statistics about the encoded sequence

## Member Data Documentation

unsigned int dirac_enc_seqstats_t::mv_bits

Number of motion vector bits

unsigned int dirac_enc_seqstats_t::seq_bits

Total number of bits used to encode sequence

unsigned int dirac_enc_seqstats_t::ycomp_bits

Number of used to encode y component

unsigned int dirac_enc_seqstats_t::ucomp_bits

Number of used to encode u component

unsigned int dirac_enc_seqstats_t::vcomp_bits

Number of used to encode v component

unsigned int dirac_enc_seqstats_t::bit_rate

Average bit rate for the sequence

The documentation for this struct was generated from the following file:

- dirac_encoder.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.